Subject: Re: Problem with wait?
From: [email-masked] (Raj Menon)

25 Jun 1998 08:18:09 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: [email-masked]

System: PII 300, NT 4.0 SP3, 64 Megs, Cygwin 19 (latest coolview), FAT partition.

More information on the problem described below:

I create a directory, and then copy a large number (50+) of files into it.
The files are all chmod to 400 (-r--------).  In TCSH if I keep doing
an "rm -rf *" and then "^C" to stop it, then "ls -l" then restart the rm,
periodically, I get permissions changed on files.  Sometimes the
files become 444 (-r--r--r--) and sometimes they get the character
device attribute attached (crw-rw-rw).  After the permission change,
if I do the rm and hit "^C" quickly, the files usually revert back to normal.
Why are the permissions changing?  Is it because I only have FAT 
partitions?

For some time now, I was thinking this only happened in a shared
directory when someone was using the file from a remore machine.
I just found out that this is not the case.  When files get the character
device attribute added, a lot of the cygwin programs (like make) barf.

Ideas?

-raj

>>> Andy Mortimer <[email-masked]> 06/12/98 08:45AM >>>
>> I don't know if this worked for you, Ian, but I've just started
>> getting this error (I've just started running large builds too, so I
>> don't think it's something I've just broken) with Sergey's
>> latest. Again, having started happening it seems to happen for most
>> commands -- although not all; usually I can do an "ls" without
>> problems, but it won't let me run any shell scripts -- until I reboot.
>> Does anyone have any idea how I would go about looking for more
>> information on this? Or ideally, how to fix it?
>
> I had reported a problem a while ago which sounds similar to this.
> Sometimes when I do large (make goes 5 deep, about 100+ files
> compiled), I get strange problems.  I had thought it was a bug in
> make, but it does not seem so.  Some files (at random) would get
> the "character device" attribute attached to them.  Then when any
> program accesses them, things go crazy (see message posted
> 4/21/98 titled possible make problems for more info).  I have 
> since discovered more about the problem.
> 
> It seems like the problem only happens when the directory tree
> is "shared" and multiple users on the MS Network have files opened
> in the directories I am doing a build in.  Sometimes, I can recover without
> rebooting by disconnecting the shares and restarting tcsh.
>
> Shares can be disconnected by:
> 
> Start->Settings->Control Panel->Server
>
> Then click the "Shares" button on the bottom and Disconnect the users.
> I think you might need Admin privileges to do this, but am not sure.
> 
> Sometimes, this does not work as Windows Networking can re-establish
> the share.  Then I usually reboot.
> 
> Hope this helps.
> 
> -raj

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               !
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               !
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".